Results 1 to 7 of 7

Thread: Skype - Webcam issues

  1. #1

    Default Skype - Webcam issues

    Hi all,

    Since upgrading to skype version 2.2.0.25 (yesterday) I have been unable to use my webcam.

    Webcam Type: Bus 001 Device 007: ID 046d:08ac Logitech, Inc. QuickCam Cool

    I start up skype with the preloaded
    LD_PRELOAD=/usr/lib64/libv4l/v4l1compat.so drivers to enable my webcam to run.

    I have confirmed that the webcam is working by testing it within Kopete.

    So I'm not sure what other options to try.

    Can someone please help me?

    Thank you.

  2. #2

    Default Re: Skype - Webcam issues

    Hi,

    I've tried running skype via the terminal with the following command
    LD_PRELOAD=/usr/lib64/libv4l/v4l1compat.so skype and I get the below error

    ERROR: ld.so: object '/usr/lib64/libv4l/v4l1compat.so' from LD_PRELOAD cannot be preloaded: ignored.

    It appears that this may be causing the issue any idea of why this may be so.

    Could this be because I'm running skype 32 bit on a 64 bit system?

    thank you.

  3. #3
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,857
    Blog Entries
    20

    Default Re: Skype - Webcam issues

    Just check gstreamer plugins good
    I see an update from Updates

    But all mine are from Packman
    Tumbleweed_KDE
    My Articles Was I any help? If yes: Click the star below

  4. #4
    Join Date
    Mar 2009
    Location
    sri mayapur, west bengal, india
    Posts
    958

    Default Re: Skype - Webcam issues

    On Fri, 13 May 2011 10:06:02 +0530, leo mancini
    <leo_mancini@no-mx.forums.opensuse.org> wrote:

    >
    > Hi,
    >
    > I've tried running skype via the terminal with the following command
    > LD_PRELOAD=/usr/lib64/libv4l/v4l1compat.so skype and I get the below
    > error
    >
    > ERROR: ld.so: object '/usr/lib64/libv4l/v4l1compat.so' from LD_PRELOAD
    > cannot be preloaded: ignored.
    >
    > It appears that this may be causing the issue any idea of why this may
    > be so.
    >
    > Could this be because I'm running skype 32 bit on a 64 bit system?
    >
    > thank you.
    >



    exactly. you also have to install libv4l-32bit, and then start skype with
    this command:

    LD_PRELOAD=/usr/lib/libv4l/v4l1compat.so skype


    --
    phani.

  5. #5

    Default Re: Skype - Webcam issues

    Hi,

    I've checked and updated gstreamer-plugins-good to the latest version.
    This did not fix the issue, I'm still getting the same error message.

    paul@linux-68lo:~> LD_PRELOAD=/usr/lib64/libv4l/v4l1compat.so skype
    ERROR: ld.so: object '/usr/lib64/libv4l/v4l1compat.so' from LD_PRELOAD cannot be preloaded: ignored.
    and my webcam is still not working.

  6. #6

    Default Re: Skype - Webcam issues

    Hi all,

    I've managed to solve the problem by pointing the correct directory for the v4l drivers

    LD_PRELOAD=/usr/lib/libv4l/v4l1compat.so

    Thank you.

  7. #7

    Default Re: Skype - Webcam issues

    Microsoft is buying skype .... maybe we will not have skype i think i dont know

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •